JavaScript Engine Switcher
==========================

JavaScript Engine Switcher determines unified interface for access to the basic features of popular JavaScript engines ([MSIE JavaScript Engine for .Net](http://github.com/Taritsyn/MsieJavaScriptEngine), [Microsoft ClearScript.V8](http://clearscript.codeplex.com), [Jurassic](http://github.com/paulbartrum/jurassic) and [Jint](http://github.com/sebastienros/jint)).
This library allows you to quickly and easily switch to using of another JavaScript engine.

The supported .NET types are as follows:

 * `JavaScriptEngineSwitcher.Core.Undefined`
 * `System.Boolean`
 * `System.Int32`
 * `System.Double`
 * `System.String`

## Installation
This library can be installed through NuGet:

 * [JS Engine Switcher: Core](http://nuget.org/packages/JavaScriptEngineSwitcher.Core)
 * [JS Engine Switcher: IntelliSense](http://nuget.org/packages/JavaScriptEngineSwitcher.ConfigurationIntelliSense)
 * [JS Engine Switcher: MSIE](http://nuget.org/packages/JavaScriptEngineSwitcher.Msie)
 * [JS Engine Switcher: V8](http://nuget.org/packages/JavaScriptEngineSwitcher.V8)
 * [JS Engine Switcher: Jurassic](http://nuget.org/packages/JavaScriptEngineSwitcher.Jurassic)
 * [JS Engine Switcher: Jint](http://nuget.org/packages/JavaScriptEngineSwitcher.Jint)
 * [JS Engine Switcher: ChakraCore](http://nuget.org/packages/JavaScriptEngineSwitcher.ChakraCore)

## Release History
See the [changelog](CHANGELOG.md).

## License
[Apache License Version 2.0](http://github.com/Taritsyn/JavaScriptEngineSwitcher/blob/master/LICENSE)

## Who's Using JavaScript Engine Switcher
If you use the JavaScript Engine Switcher in some project, please send me a message so I can include it in this list:

 * [Autoprefixer for .NET](http://github.com/digitalcreations/autoprefixer) by Vegard Larsen
 * [Bundle Transformer](http://bundletransformer.codeplex.com/) by Andrey Taritsyn
 * [Cruncher](http://github.com/JimBobSquarePants/Cruncher) by James South
 * [JSPool](http://dan.cx/projects/jspool) by Daniel Lo Nigro
 * [ReactJS.NET](http://reactjs.net/) by Daniel Lo Nigro